
Katello - Bug #4272

gpg info 

02/05/2014 08:19 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Hammer   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Created a new gpg key using the CLI (the UI is still broken) and then tried to display its information:

[root@qetello03 ~]# cat /tmp/qbfjzs

q31wvp8froyzzny393gmaj8y9nz942qg4hzyupg

[root@qetello03 ~]# LANG=en_US hammer -v -u admin -p changeme gpg create --organization-id='ACME_C

orporation' --name='foobar' --key=/tmp/qbfjzs

GPG Key created

[root@qetello03 ~]# hammer gpg list --organization-id='ACME_Corporation'

-------------

ID | NAME

-------------

3  | y2k5eij

6  | 52jj3498

1  | ja2cpdu

4  | lx52

7  | foobar

2  | nf3l

5  | yj8266h

-------------

[root@qetello03 ~]# hammer gpg info --id 7

ID:              7

Name:            foobar

Organization:    ACME_Corporation

Repositories:

interning empty string

 Where it says interning empty string should actually display the content of the file imported. The web UI displays the correct

information.

Related issues:

Related to Katello - Bug #4271: cvs output for gpg subcommand doesn't work Closed 02/05/2014

History

#1 - 03/12/2014 02:01 PM - Tomáš Strachota

- Status changed from New to Closed

- Assignee set to Tomáš Strachota

Same as #4271. Fixed in PRs:

https://github.com/theforeman/hammer-cli/pull/87

https://github.com/theforeman/hammer-cli-foreman/pull/88

#2 - 03/12/2014 02:01 PM - Tomáš Strachota
https://projects.theforeman.org/issues/4271
https://github.com/theforeman/hammer-cli/pull/87
https://github.com/theforeman/hammer-cli-foreman/pull/88


- Related to Bug #4271: cvs output for gpg subcommand doesn't work added

#3 - 09/01/2016 07:58 AM - Tomáš Strachota

- Project changed from Hammer CLI to Katello

- Category changed from 74 to Hammer

#4 - 09/07/2016 02:07 PM - Justin Sherrill

- translation missing: en.field_release set to 166
